using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YBDevice.Entity
{

    /// <summary>
    /// 测量记录
    /// </summary>
    [SugarTable("YB_nResult", TableDescription = "测量记录", IsDisabledUpdateAll = false, IsDisabledDelete = true)]

    public class YB_nResult
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }
        /// <summary>
        /// 身高，单位厘米
        /// </summary>
        [SugarColumn(ColumnDescription = "身高，单位厘米", ColumnDataType ="decimal(18,2)")]
        public decimal Height { get; set; }
        /// <summary>
        /// 体重,单位kg
        /// </summary>
        [SugarColumn(ColumnDescription = "体重,单位kg", ColumnDataType = "decimal(18,2)")]
        public decimal Weight { get; set; }

        /// <summary>
        /// 设备所属商户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "设备所属商户ID")]
        public int BusinessId { get; set; }

        /// <summary>
        /// 设备ID
        /// </summary>
        [SugarColumn(ColumnDescription = "设备ID")]
        public int EquId { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        [SugarColumn(ColumnDescription = "设备类型,参考类型表")]
        public int DevType { get; set; }

        /// <summary>
        /// 来源,1-蓝牙传输,2-手动记录,3-扫码记录
        /// </summary>
        [SugarColumn(ColumnDescription = "来源,1-蓝牙传输,2-手动记录,3-扫码记录")]
        public int SourceType { get; set; }

        /// <summary>
        /// 阻抗值,八电极时为身体阻抗
        /// </summary>
        [SugarColumn(ColumnDescription = "阻抗值", ColumnDataType = "decimal(18,2)")]
        public decimal Imp { get; set; }

        /// <summary>
        /// 左手阻抗
        /// </summary>
        [SugarColumn(ColumnDescription = "左手阻抗", ColumnDataType = "decimal(18,2)")]
        public System.Decimal LeftArmImp { get; set; }

        /// <summary>
        /// 右手阻抗
        /// </summary>
        [SugarColumn(ColumnDescription = "右手阻抗", ColumnDataType = "decimal(18,2)")]
        public System.Decimal RightArmImp { get; set; }

        /// <summary>
        /// 左脚阻抗
        /// </summary>
        [SugarColumn(ColumnDescription = "左脚阻抗", ColumnDataType = "decimal(18,2)")]
        public System.Decimal LeftLegImp { get; set; }

        /// <summary>
        /// 右脚阻抗
        /// </summary>
        [SugarColumn(ColumnDescription = "右脚阻抗", ColumnDataType = "decimal(18,2)")]
        public System.Decimal RightLegImp { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
